Bug 735889 - sshd continues to try to bind to IPv6 when IPv6 is disabled; breaks X11 forwarding.
sshd continues to try to bind to IPv6 when IPv6 is disabled; breaks X11 forwa...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Lautrbach
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-05 23:27 EDT by Gilboa Davara
Modified: 2012-02-28 06:02 EST (History)
4 users (show)

See Also:
Fixed In Version: openssh-5.9p1-19.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-25 03:30:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gilboa Davara 2011-09-05 23:27:45 EDT
Description of problem:
Due to project requirements I've disabled IPv6 (via sysctl net.ipv6.conf.all.disable_ipv6=1) on a number of machines.
Once done, I could no longer ssh -X or SSH -y into the effected machines.

Starting sshd from command line returns the following output:
$ /usr/sbin/sshd -d
debug1: sshd version OpenSSH_5.6p1
debug1: read PEM private key done: type RSA
debug1: private host key: #0 type 1 RSA
debug1: read PEM private key done: type DSA
debug1: private host key: #1 type 2 DSA
debug1: rexec_argv[0]='/usr/sbin/sshd'
debug1: rexec_argv[1]='-d'
Set /proc/self/oom_score_adj from 0 to -1000
debug1: Bind to port 22 on 0.0.0.0.
Server listening on 0.0.0.0 port 22.
debug1: Bind to port 22 on ::.
Server listening on :: port 22.
^C
Forcing IPv4 only (via -4 command line) solved the problem.
(Either /usr/sbin -D -4 or creating /etc/sysconfig/sshd that contains OPTIONS=-4)

Version-Release number of selected component (if applicable):
openssh-server-5.6p1-34.fc15.1.x86_64

How reproducible:
Always.
Comment 1 Gilboa Davara 2011-11-17 10:23:07 EST
Still present in F16.
Work-around requires patch in https://bugzilla.redhat.com/show_bug.cgi?id=754732.
Comment 2 Tomas Mraz 2011-11-18 02:46:57 EST
You can also set 'AddressFamily inet' in /etc/ssh/sshd_config
Comment 3 Gilboa Davara 2011-11-18 15:42:50 EST
Thanks for the suggestion.
Should any == "any available" as opposed to "inet + inet6"?

- Gilboa
Comment 4 Fedora Admin XMLRPC Client 2011-11-30 07:26:20 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Petr Lautrbach 2012-02-14 10:27:27 EST
It seems that usage of AI_ADDRCONFIG flag in getaddrinfo() would help here.
Comment 6 Fedora Update System 2012-02-14 11:38:31 EST
openssh-5.6p1-35.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/openssh-5.6p1-35.fc15
Comment 7 Fedora Update System 2012-02-15 06:30:23 EST
Package openssh-5.6p1-35.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openssh-5.6p1-35.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-1673/openssh-5.6p1-35.fc15
then log in and leave karma (feedback).
Comment 8 Gilboa Davara 2012-02-22 02:27:17 EST
Any chance of getting a fixed F16 build out?
I mass migrated all my desktops/workstations/servers to F16 a couple of months ago.

- Gilboa
Comment 9 Fedora Update System 2012-02-22 03:09:49 EST
openssh-5.8p2-25.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/openssh-5.8p2-25.fc16
Comment 10 Fedora Update System 2012-02-22 03:28:16 EST
openssh-5.9p1-19.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openssh-5.9p1-19.fc17
Comment 11 Fedora Update System 2012-02-25 03:30:26 EST
openssh-5.6p1-35.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-02-25 03:33:13 EST
openssh-5.8p2-25.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2012-02-28 06:02:36 EST
openssh-5.9p1-19.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.